import "./main.css";
import {simpleTableSortFn as $a6CVW$simpleTableSortFn} from "@asup/simple-table";
import {jsx as $a6CVW$jsx, jsxs as $a6CVW$jsxs, Fragment as $a6CVW$Fragment} from "react/jsx-runtime";
import {ContextWindowStack as $a6CVW$ContextWindowStack, ContextWindow as $a6CVW$ContextWindow, ContextMenuHandler as $a6CVW$ContextMenuHandler} from "@asup/context-menu";
import {createContext as $a6CVW$createContext, useReducer as $a6CVW$useReducer, useContext as $a6CVW$useContext, useState as $a6CVW$useState, useEffect as $a6CVW$useEffect, useMemo as $a6CVW$useMemo} from "react";



var $740765d8a652bda3$export$a3d0be471ff2ca15;
(function(eItemType) {
    eItemType["string"] = "string";
    eItemType["integer"] = "integer";
    eItemType["float"] = "float";
    eItemType["date"] = "Date";
    eItemType["time"] = "Time";
    eItemType["datetime"] = "DateTime";
})($740765d8a652bda3$export$a3d0be471ff2ca15 || ($740765d8a652bda3$export$a3d0be471ff2ca15 = {}));
class $740765d8a652bda3$export$626c488e6c24a1e8 {
    /**
   * Unique identifier
   */ get OID() {
        return this._OID;
    }
    /**
   * Item name
   */ get name() {
        return this._name;
    }
    /**
   * Item label
   */ get label() {
        return this._label;
    }
    /**
   * Item type
   */ get type() {
        return this._type;
    }
    /**
   * Assigned item length for strings
   */ get length() {
        return this._length;
    }
    /**
   * Data stored in the clas
   */ get data() {
        return {
            OID: this._OID,
            name: this._name,
            label: this._label,
            type: this._type,
            length: this._length
        };
    }
    /**
   * Stringified version of the class
   */ get toString() {
        return JSON.stringify(this.data);
    }
    /**
   * Return JSX span with the class name
   */ get component() {
        return /*#__PURE__*/ (0, $a6CVW$jsx)("span", {
            className: "datasetjson-item",
            children: this._name
        });
    }
    /**
   * Create new data item class
   * @param newItem New data item information
   */ constructor(newItem){
        this._OID = "";
        this._name = "";
        this._label = "";
        this._type = $740765d8a652bda3$export$a3d0be471ff2ca15.string;
        this._length = 8;
        this._OID = newItem.OID;
        this._name = newItem.name;
        this._label = newItem.label;
        this._length = newItem.length;
    }
}


class $04e2de8ab1d842a9$export$a343c64541036632 {
    /**
   * Error text after internal error
   */ get errorText() {
        return this._errorText;
    }
    /**
   * studyOID attibute
   */ get studyOID() {
        return this._studyOID;
    }
    /**
   * Sets value of studyOID
   */ set studyOID(newValue) {
        if (newValue !== "") this._studyOID = newValue;
    }
    get metaDataVersionOID() {
        return this._metaDataVersionOID;
    }
    /**
   * Data set name
   */ get name() {
        return this._name;
    }
    /**
   * Data set name
   */ set name(newValue) {
        if (newValue !== "") this._name = newValue;
    }
    /**
   * Data set label
   */ get label() {
        return this._label;
    }
    /**
   * Data set label
   */ set label(newValue) {
        if (newValue !== "") this._label = newValue;
    }
    /**
   * Number of records in the data set
   */ get records() {
        return this.itemData.length;
    }
    /**
   * Items (variables) in the data set
   */ get items() {
        return this._items;
    }
    /**
   * Items (variables) in the data set
   */ set items(newItems) {
        if (newItems.length > 0) this._items = newItems.map((i)=>i instanceof (0, $740765d8a652bda3$export$626c488e6c24a1e8) ? i : new (0, $740765d8a652bda3$export$626c488e6c24a1e8)(i));
    }
    get simpleTableFields() {
        return this._items.map((item)=>({
                ...item.data,
                sortFn: (0, $a6CVW$simpleTableSortFn),
                searchFn: item.type === "string" ? (row, text)=>row[item.name].toLocaleLowerCase().includes(text.toLocaleLowerCase()) : undefined
            }));
    }
    /**
   * Add new item (variable) to the data set
   * @param newItem Add data set item definition to the data set
   * @returns true is successful, false (& sets errorText) is there is an error
   */ addItem(newItem) {
        if (this.items.map((i)=>i.name).includes(newItem.name)) {
            this._errorText = "Item name already exists";
            return false;
        }
        this._items.push(newItem instanceof (0, $740765d8a652bda3$export$626c488e6c24a1e8) ? newItem : new (0, $740765d8a652bda3$export$626c488e6c24a1e8)(newItem));
        this._itemData.forEach((row)=>{
            row[newItem.name] = undefined;
        });
        return true;
    }
    /**
   * Removes an item (variable) from the data set and the associated data
   * @param oldItemName Name of the item to remove
   */ removeItem(oldItemName) {
        const ix = this._items.findIndex((i)=>i.name === oldItemName);
        if (ix > -1) {
            this._items.splice(ix, 1);
            this._itemData.forEach((row)=>{
                if (Object.keys(row).includes(oldItemName)) delete row.oldItemName;
            });
        }
    }
    /**
   * Data stored in the data set
   */ get itemData() {
        return this._itemData.filter((row)=>!row.__isDeleted);
    }
    /**
   * Data stored in the data set
   */ set itemData(newItemDataRows) {
        this._itemData = newItemDataRows.map((row, i)=>({
                ...new Map(this._items.map((item)=>[
                        item.name,
                        row[item.name]
                    ])),
                __rowNumber: i + 1,
                __isDeleted: false
            }));
    }
    /**
   * Add single row to the data
   * @param newItemDataRow New row data
   * @returns true is successful, false (& sets errorText) is there is an error
   */ addItemData(newItemDataRow) {
        const newItem = Object.fromEntries(new Map(this._items.map((item)=>[
                item.name,
                newItemDataRow[item.name]
            ])));
        this._itemData.push({
            ...newItem,
            __rowNumber: this._itemData.length,
            __isDeleted: false
        });
        return true;
    }
    /**
   * Remove a single row from the data
   * @param rowNumber Row number to remove
   * @returns true is successful, false (& sets errorText) is there is an error
   */ removeItemData(rowNumber) {
        const ix = this._itemData.findIndex((row)=>row.__rowNumber === rowNumber);
        if (ix > -1) {
            this._itemData[ix].__isDeleted = true;
            return true;
        } else {
            this._errorText = "Row number not found";
            return false;
        }
    }
    /**
   * Create new DatasetJson class
   * @param newJson Raw dataset JSON
   */ constructor(newJson){
        this._errorText = "";
        this._studyOID = "";
        this._metaDataVersionOID = "CDISC.ADaM.2.1";
        this._name = "";
        this._label = "";
        this._items = [];
        this._itemData = [];
        this._studyOID = newJson.clinicalData.studyOID;
        this._metaDataVersionOID = newJson.clinicalData.metaDataVersionOID;
        const ds = Object.values(newJson.clinicalData.itemGroupData)[0];
        this._name = ds.name;
        this._label = ds.label;
        this.items = ds.items;
        this._itemData = ds.itemData.map((arrayRow, ai)=>{
            const newItem = Object.fromEntries(new Map(ds.items.map((item, i)=>[
                    item.name,
                    arrayRow[i]
                ])));
            return {
                ...newItem,
                __rowNumber: ai + 1,
                __isDeleted: false
            };
        });
    }
}








function $3cf9214832f86d2a$export$90e11b0457a352d(action, state) {
    if (action.whereClause === undefined) throw `${0, $cf8df9a502b5415d$export$4eb8423d9590796c}: No where clause`;
    else {
        let newState = {
            ...state
        };
        var _action_whereClause_WID;
        const ix = state.whereClauses.findIndex((w)=>{
            var _action_whereClause;
            return w.WID === ((_action_whereClause_WID = (_action_whereClause = action.whereClause) === null || _action_whereClause === void 0 ? void 0 : _action_whereClause.WID) !== null && _action_whereClause_WID !== void 0 ? _action_whereClause_WID : "");
        });
        if (ix === -1) newState = {
            ...newState,
            whereClauses: [
                ...state.whereClauses,
                action.whereClause
            ]
        };
        else newState.whereClauses.splice(ix, 1, action.whereClause);
        return newState;
    }
}


const $54157fe2b864b87e$export$a07c45638168b898 = (originalArray, variable, newPosition)=>{
    var _ref;
    const ix = originalArray.findIndex((v)=>(_ref = v.OID === variable.OID) !== null && _ref !== void 0 ? _ref : "");
    console.log(`Moving variable to ${newPosition} from ${ix}`);
    const newArray = [
        ...originalArray
    ];
    if (ix >= 0) {
        console.log("Moving");
        newArray.splice(ix, 1);
        newArray.splice(ix >= newPosition ? newPosition : newPosition - 1, 0, variable);
    } else {
        console.log(`Adding ${variable.name}`);
        newArray.splice(newPosition, 0, variable);
    }
    return newArray;
};



function $c30dd8508f51548c$export$237c52930b471a42(action, state) {
    if (action.item === undefined) throw `${0, $cf8df9a502b5415d$export$330817789cf72932}: No variable specified`;
    else if (action.position === undefined) throw `${0, $cf8df9a502b5415d$export$330817789cf72932}: No position defined`;
    else if (action.position > state.columns.length) throw `${0, $cf8df9a502b5415d$export$330817789cf72932}: Position is too high`;
    else return {
        ...state,
        columns: (0, $54157fe2b864b87e$export$a07c45638168b898)(state.columns, action.item, action.position),
        rows: state.rows.filter((i)=>{
            var _action_item;
            return i.OID !== ((_action_item = action.item) === null || _action_item === void 0 ? void 0 : _action_item.OID);
        })
    };
}




function $4fffe35dad4230c5$export$1608945ed2884c15(action, state) {
    if (action.item === undefined) throw `${0, $cf8df9a502b5415d$export$c287896b040d08eb}: No variable specified`;
    else if (action.position === undefined) throw `${0, $cf8df9a502b5415d$export$c287896b040d08eb}: No position defined`;
    else if (action.position > state.rows.length) throw `${0, $cf8df9a502b5415d$export$c287896b040d08eb}: Position is too high`;
    else return {
        ...state,
        columns: state.columns.filter((i)=>{
            var _action_item;
            return i.OID !== ((_action_item = action.item) === null || _action_item === void 0 ? void 0 : _action_item.OID);
        }),
        rows: (0, $54157fe2b864b87e$export$a07c45638168b898)(state.rows, action.item, action.position)
    };
}



function $74f4afac3476b800$export$a94f51830d9bdd76(action, state) {
    if (action.item === undefined) throw `${0, $cf8df9a502b5415d$export$4b9128eac4c06cf4}: No variable specified`;
    else return {
        ...state,
        columns: state.columns.filter((i)=>{
            var _action_item;
            return i.OID !== ((_action_item = action.item) === null || _action_item === void 0 ? void 0 : _action_item.OID);
        })
    };
}



function $d8307ab07bb7dc09$export$3fd74043864ff5c3(action, state) {
    if (action.item === undefined) throw `${0, $cf8df9a502b5415d$export$c6aa430819669f63}: No variable specified`;
    else return {
        ...state,
        rows: state.rows.filter((i)=>{
            var _action_item;
            return i.OID !== ((_action_item = action.item) === null || _action_item === void 0 ? void 0 : _action_item.OID);
        })
    };
}



function $039b7ceb159e0e52$export$3bff2824b94a5f2(action, state) {
    if (action.whereClause === undefined) throw `${0, $cf8df9a502b5415d$export$d21ab455e9f38f6e}: No where clause specified`;
    else {
        const newState = {
            ...state
        };
        var _action_whereClause_WID;
        const ix = state.whereClauses.findIndex((w)=>{
            var _action_whereClause;
            return w.WID === ((_action_whereClause_WID = (_action_whereClause = action.whereClause) === null || _action_whereClause === void 0 ? void 0 : _action_whereClause.WID) !== null && _action_whereClause_WID !== void 0 ? _action_whereClause_WID : "");
        });
        if (ix > -1) newState.whereClauses.splice(ix, 1);
        return newState;
    }
}


const $cf8df9a502b5415d$export$330817789cf72932 = "MOVE_COLUMN_VARIABLE";
const $cf8df9a502b5415d$export$c287896b040d08eb = "MOVE_ROW_VARIABLE";
const $cf8df9a502b5415d$export$4b9128eac4c06cf4 = "REMOVE_COLUMN_VARIABLE";
const $cf8df9a502b5415d$export$c6aa430819669f63 = "REMOVE_ROW_VARIABLE";
const $cf8df9a502b5415d$export$d21ab455e9f38f6e = "REMOVE_WHERE_CLAUSE";
const $cf8df9a502b5415d$export$f7b453d5c91bc422 = "SET_COLUMNS";
const $cf8df9a502b5415d$export$4ccd4a26ee1aa287 = "SET_ROWS";
const $cf8df9a502b5415d$export$4eb8423d9590796c = "UPDATE_WHERE_CLAUSE";
const $cf8df9a502b5415d$export$1650419e431d3ba3 = (state, action)=>{
    let newState = {
        ...state
    };
    switch(action.type){
        case $cf8df9a502b5415d$export$330817789cf72932:
            newState = (0, $c30dd8508f51548c$export$237c52930b471a42)(action, newState);
            break;
        case $cf8df9a502b5415d$export$c287896b040d08eb:
            newState = (0, $4fffe35dad4230c5$export$1608945ed2884c15)(action, newState);
            break;
        case $cf8df9a502b5415d$export$4b9128eac4c06cf4:
            newState = (0, $74f4afac3476b800$export$a94f51830d9bdd76)(action, newState);
            break;
        case $cf8df9a502b5415d$export$c6aa430819669f63:
            newState = (0, $d8307ab07bb7dc09$export$3fd74043864ff5c3)(action, newState);
            break;
        case $cf8df9a502b5415d$export$d21ab455e9f38f6e:
            newState = (0, $039b7ceb159e0e52$export$3bff2824b94a5f2)(action, newState);
            break;
        case $cf8df9a502b5415d$export$f7b453d5c91bc422:
            if (!action.columns) throw `${$cf8df9a502b5415d$export$f7b453d5c91bc422}: No columns`;
            else newState.columns = action.columns;
            break;
        case $cf8df9a502b5415d$export$4ccd4a26ee1aa287:
            if (!action.rows) throw `${$cf8df9a502b5415d$export$4ccd4a26ee1aa287}: No rows`;
            else newState.rows = action.rows;
            break;
        case $cf8df9a502b5415d$export$4eb8423d9590796c:
            newState = (0, $3cf9214832f86d2a$export$90e11b0457a352d)(action, newState);
            break;
    }
    console.dir(newState);
    return newState;
};


const $9663cd61179ffdb8$var$initialState = {
    rows: [],
    columns: [],
    statistics: [],
    statisticPosition: "column",
    whereClauses: []
};
const $9663cd61179ffdb8$export$a0a39e2218613bf9 = /*#__PURE__*/ (0, $a6CVW$createContext)({
    state: $9663cd61179ffdb8$var$initialState,
    dispatch: ()=>({}),
    itemList: []
});
const $9663cd61179ffdb8$export$ef640431176d1d1d = ({ dataset: dataset , children: children  })=>{
    const [state, dispatch] = (0, $a6CVW$useReducer)((0, $cf8df9a502b5415d$export$1650419e431d3ba3), $9663cd61179ffdb8$var$initialState);
    return /*#__PURE__*/ (0, $a6CVW$jsx)($9663cd61179ffdb8$export$a0a39e2218613bf9.Provider, {
        value: {
            state: state,
            dispatch: dispatch,
            itemList: dataset.items
        },
        children: children
    });
};












const $55c0a9e43bbd4924$export$ef9b1a59e592288f = ({ values: values , selected: selected , setSelected: setSelected , style: style , className: className  })=>{
    const [currentValue, setCurrentValue] = (0, $a6CVW$useState)(selected);
    (0, $a6CVW$useEffect)(()=>setCurrentValue(selected), [
        selected
    ]);
    return /*#__PURE__*/ (0, $a6CVW$jsx)("div", {
        className: `selector-main ${className}`,
        style: {
            display: "flex",
            flexDirection: "column",
            justifyContent: "center"
        },
        children: /*#__PURE__*/ (0, $a6CVW$jsx)("select", {
            className: "selector-select",
            style: {
                borderRadius: "4px",
                ...style
            },
            value: currentValue,
            onChange: (e)=>setCurrentValue(e.currentTarget.value),
            onBlur: (e)=>setSelected && setSelected(e.currentTarget.value),
            children: values.map((k, i)=>/*#__PURE__*/ (0, $a6CVW$jsx)("option", {
                    value: k.value,
                    children: k.label
                }, `${i}-${k.value}`))
        })
    });
};


var $1fff8c265ece1ad5$export$73876d288e195e34;
(function(eOperation) {
    eOperation["eq"] = "Equals";
    eOperation["lt"] = "Less than";
    eOperation["le"] = "Less than or equal to";
    eOperation["gt"] = "Greater than";
    eOperation["ge"] = "Greater than or equal to";
    eOperation["miss"] = "Missing";
    eOperation["not_miss"] = "Not missing";
    eOperation["in"] = "In";
    eOperation["not_in"] = "Not In";
})($1fff8c265ece1ad5$export$73876d288e195e34 || ($1fff8c265ece1ad5$export$73876d288e195e34 = {}));
const $1fff8c265ece1ad5$export$11cd368ed7b68aa7 = ({ selected: selected , setSelected: setSelected , style: style , className: className  })=>{
    return /*#__PURE__*/ (0, $a6CVW$jsx)((0, $55c0a9e43bbd4924$export$ef9b1a59e592288f), {
        className: `eoperation-selector ${className}`,
        style: {
            width: "170px",
            ...style
        },
        values: Object.keys($1fff8c265ece1ad5$export$73876d288e195e34).map((k, i)=>({
                value: k,
                label: Object.values($1fff8c265ece1ad5$export$73876d288e195e34)[i]
            })),
        selected: selected,
        setSelected: setSelected ? (ret)=>setSelected(ret) : undefined
    });
};



class $ce544d8b77d2edfc$export$5471ddcbd29402fc {
    /**
   * Unique Id attribute
   */ get WID() {
        return this._WID;
    }
    get previousVersions() {
        return this._previousVersions;
    }
    /**
   * Item to check
   */ get item() {
        return this._item;
    }
    /**
   * Item to check
   */ set item(newItem) {
        this._item = newItem;
    }
    /**
   *  Operation
   */ get whereOperation() {
        return this._whereOperation;
    }
    /**
   * Operation
   */ set whereOperation(newOperation) {
        this._whereOperation = newOperation;
    }
    /**
   * Values for condition
   */ get filteredItemValues() {
        return this._filteredItemValues;
    }
    /**
   * Values for condition
   */ set filteredItemValues(newValues) {
        if (newValues === undefined) this._filteredItemValues;
        else if (!this._item) throw new Error("WhereClause: Can not set values where there is no item");
        else if (this._item.type === (0, $740765d8a652bda3$export$a3d0be471ff2ca15).string && newValues.some((v)=>typeof v !== "string")) throw new Error("WhereClause: Can only set string values for a string item");
        else if ([
            (0, $740765d8a652bda3$export$a3d0be471ff2ca15).integer,
            (0, $740765d8a652bda3$export$a3d0be471ff2ca15).float
        ].includes(this._item.type) && newValues.some((v)=>typeof v !== "number")) throw new Error("WhereClause: Can only set number values for a integer or float items");
        else if ([
            (0, $740765d8a652bda3$export$a3d0be471ff2ca15).date,
            (0, $740765d8a652bda3$export$a3d0be471ff2ca15).datetime,
            (0, $740765d8a652bda3$export$a3d0be471ff2ca15).time
        ].includes(this._item.type) && newValues.some((v)=>!(v instanceof Date))) throw new Error("WhereClause: Can only set date values for a date, datetime or time items");
        else this._filteredItemValues = newValues;
    }
    /**
   * Check if current where clause is valid
   */ get isValid() {
        var _this_filteredItemValues, _this__filteredItemValues, _this__filteredItemValues1;
        var _this__filteredItemValues_length;
        return this._WID && this._item && this._whereOperation && ([
            (0, $1fff8c265ece1ad5$export$73876d288e195e34).miss,
            (0, $1fff8c265ece1ad5$export$73876d288e195e34).not_miss
        ].includes(this._whereOperation) && ((_this_filteredItemValues = this.filteredItemValues) === null || _this_filteredItemValues === void 0 ? void 0 : _this_filteredItemValues.length) === 0 || [
            (0, $1fff8c265ece1ad5$export$73876d288e195e34).eq,
            (0, $1fff8c265ece1ad5$export$73876d288e195e34).ge,
            (0, $1fff8c265ece1ad5$export$73876d288e195e34).gt,
            (0, $1fff8c265ece1ad5$export$73876d288e195e34).le,
            (0, $1fff8c265ece1ad5$export$73876d288e195e34).lt
        ].includes(this._whereOperation) && ((_this__filteredItemValues = this._filteredItemValues) === null || _this__filteredItemValues === void 0 ? void 0 : _this__filteredItemValues.length) === 1 || ((0, $1fff8c265ece1ad5$export$73876d288e195e34).in, (0, $1fff8c265ece1ad5$export$73876d288e195e34).not_in, ((_this__filteredItemValues_length = (_this__filteredItemValues1 = this._filteredItemValues) === null || _this__filteredItemValues1 === void 0 ? void 0 : _this__filteredItemValues1.length) !== null && _this__filteredItemValues_length !== void 0 ? _this__filteredItemValues_length : -1) > 0));
    }
    /**
   * Update existing where clause, and save previous version if valid
   * @param itemName new name
   * @param whereOperation: new operation
   * @param filteredItemValues: new item values
   */ update(itemName, whereOperation, filteredItemValues) {
        if (this._item && this._whereOperation && this.isValid) {
            const currentVersion = {
                timestamp: new Date(),
                _itemName: this._item,
                _whereOperation: this._whereOperation,
                _filteredItemValues: this._filteredItemValues
            };
            this._previousVersions.push(currentVersion);
        }
        this._item = itemName;
        this._whereOperation = whereOperation;
        this._filteredItemValues = filteredItemValues;
    }
    /**
   * Create where clause
   * @param newWhereClause
   * Parameters:
   * {
   *  @WID unique id
   *  @item DatasetJsonItem
   *  @whereOperation Operation
   *  @filteredItemValues Values
   * }
   */ constructor(newWhereClause){
        this._WID = "";
        this._previousVersions = [];
        this._item = null;
        this._whereOperation = null;
        this._filteredItemValues = [];
        var _newWhereClause_WID;
        this._WID = (_newWhereClause_WID = newWhereClause === null || newWhereClause === void 0 ? void 0 : newWhereClause.WID) !== null && _newWhereClause_WID !== void 0 ? _newWhereClause_WID : crypto.randomUUID();
        var _newWhereClause_item;
        this._item = (_newWhereClause_item = newWhereClause === null || newWhereClause === void 0 ? void 0 : newWhereClause.item) !== null && _newWhereClause_item !== void 0 ? _newWhereClause_item : null;
        var _newWhereClause_whereOperation;
        this._whereOperation = (_newWhereClause_whereOperation = newWhereClause === null || newWhereClause === void 0 ? void 0 : newWhereClause.whereOperation) !== null && _newWhereClause_whereOperation !== void 0 ? _newWhereClause_whereOperation : null;
        var _newWhereClause_filteredItemValues;
        this._filteredItemValues = (_newWhereClause_filteredItemValues = newWhereClause === null || newWhereClause === void 0 ? void 0 : newWhereClause.filteredItemValues) !== null && _newWhereClause_filteredItemValues !== void 0 ? _newWhereClause_filteredItemValues : [];
    }
}















const $d947bb745b166918$export$79660a248b11010 = ({ id: id , dropAction: dropAction , children: children , style: style , type: type  })=>{
    const [isOver, setIsOver] = (0, $a6CVW$useState)(false);
    const summaryTableContext = (0, $a6CVW$useContext)((0, $9663cd61179ffdb8$export$a0a39e2218613bf9));
    const handleDrop = (e)=>{
        console.log("Dropped: " + e.dataTransfer);
        setIsOver(false);
        e.stopPropagation();
        e.preventDefault();
        if (e.dataTransfer.types[0] === "application/datasetjsonitem") try {
            const data = JSON.parse(e.dataTransfer.getData("application/datasetjsonitem"));
            console.log("Data dropped");
            console.log(data);
            const ix = summaryTableContext.itemList.findIndex((v)=>v.OID === data.OID);
            if (ix > -1) {
                const item = summaryTableContext.itemList[ix];
                dropAction && dropAction({
                    type: "variable",
                    data: item
                });
            }
        } catch (error) {
            console.warn(`Something has gone wrong :( dropping on ${id}`);
            console.warn(error);
        }
    };
    return /*#__PURE__*/ (0, $a6CVW$jsx)("div", {
        id: id,
        className: `drop-target ${isOver ? "can-drop" : ""} ${type}`,
        onDragOver: (e)=>{
            if (e.dataTransfer.types[0] === "application/datasetjsonitem") {
                setIsOver(true);
                e.preventDefault();
                e.stopPropagation();
            }
        },
        onDrop: handleDrop,
        onDragLeave: ()=>setIsOver(false),
        style: {
            ...style
        },
        children: children !== null && children !== void 0 ? children : /*#__PURE__*/ (0, $a6CVW$jsx)((0, $a6CVW$Fragment), {
            children: "​"
        })
    });
};







const $27c99b5bdc61852a$export$b62643f540e1ded8 = ({ item: item , setItem: setItem  })=>{
    return /*#__PURE__*/ (0, $a6CVW$jsxs)("div", {
        children: [
            /*#__PURE__*/ (0, $a6CVW$jsx)("div", {
                children: item.OID
            }),
            /*#__PURE__*/ (0, $a6CVW$jsx)("div", {
                children: item.name
            }),
            /*#__PURE__*/ (0, $a6CVW$jsx)("div", {
                children: item.label
            }),
            /*#__PURE__*/ (0, $a6CVW$jsx)("div", {
                children: item.type
            }),
            /*#__PURE__*/ (0, $a6CVW$jsx)("div", {
                children: item.length
            })
        ]
    });
};


const $ff09de3984f9fd78$export$de69795869716f53 = ({ id: id , item: item  })=>{
    const [isBeingDragged, setIsBeingDragged] = (0, $a6CVW$useState)(false);
    const [showProperties, setShowProperties] = (0, $a6CVW$useState)(false);
    const handleDragStart = (e)=>{
        if (item) {
            console.log("Drag start for " + item.name);
            setIsBeingDragged(true);
            e.dataTransfer.setData("application/datasetjsonitem", item.toString);
        }
    };
    const handleDragEnd = (e)=>{
        if (item) {
            console.log(e);
            console.log("Drag end for " + item.name);
            setIsBeingDragged(false);
        }
    };
    var _item_name;
    return /*#__PURE__*/ (0, $a6CVW$jsxs)((0, $a6CVW$Fragment), {
        children: [
            /*#__PURE__*/ (0, $a6CVW$jsx)((0, $a6CVW$ContextMenuHandler), {
                menuItems: item ? [
                    {
                        label: "Properties",
                        action: ()=>setShowProperties(true)
                    }
                ] : [],
                children: /*#__PURE__*/ (0, $a6CVW$jsx)("div", {
                    id: id,
                    className: `item-holder ${isBeingDragged ? "being-dragged" : ""}`,
                    draggable: true,
                    onDragStart: handleDragStart,
                    onDragEnd: handleDragEnd,
                    children: (_item_name = item === null || item === void 0 ? void 0 : item.name) !== null && _item_name !== void 0 ? _item_name : /*#__PURE__*/ (0, $a6CVW$jsx)("em", {
                        children: "Drop item here"
                    })
                })
            }),
            item && /*#__PURE__*/ (0, $a6CVW$jsx)((0, $a6CVW$ContextWindow), {
                id: "item-properties-window",
                visible: showProperties,
                title: `${item === null || item === void 0 ? void 0 : item.label} properties`,
                onClose: ()=>setShowProperties(false),
                children: /*#__PURE__*/ (0, $a6CVW$jsx)((0, $27c99b5bdc61852a$export$b62643f540e1ded8), {
                    item: item
                })
            })
        ]
    });
};


const $c8cbc5de30e57687$export$a957d45f359dcc = ({ index: index  })=>{
    const { state: state , dispatch: dispatch  } = (0, $a6CVW$useContext)((0, $9663cd61179ffdb8$export$a0a39e2218613bf9));
    return /*#__PURE__*/ (0, $a6CVW$jsx)("div", {
        className: "itemholder-main",
        style: {
            position: "relative",
            width: "166px",
            height: "40px"
        },
        children: /*#__PURE__*/ (0, $a6CVW$jsx)((0, $d947bb745b166918$export$79660a248b11010), {
            id: `whereclauseitem-${index}-droptarget`,
            type: "center",
            dropAction: (ret)=>{
                var _state_whereClauses_index, _state_whereClauses_index1, _state_whereClauses_index2;
                var _state_whereClauses_index_whereOperation;
                if (ret.data instanceof (0, $740765d8a652bda3$export$626c488e6c24a1e8)) dispatch({
                    type: (0, $cf8df9a502b5415d$export$4eb8423d9590796c),
                    whereClause: new (0, $ce544d8b77d2edfc$export$5471ddcbd29402fc)({
                        WID: (_state_whereClauses_index = state.whereClauses[index]) === null || _state_whereClauses_index === void 0 ? void 0 : _state_whereClauses_index.WID,
                        item: ret.data,
                        whereOperation: (_state_whereClauses_index_whereOperation = (_state_whereClauses_index1 = state.whereClauses[index]) === null || _state_whereClauses_index1 === void 0 ? void 0 : _state_whereClauses_index1.whereOperation) !== null && _state_whereClauses_index_whereOperation !== void 0 ? _state_whereClauses_index_whereOperation : null,
                        filteredItemValues: (_state_whereClauses_index2 = state.whereClauses[index]) === null || _state_whereClauses_index2 === void 0 ? void 0 : _state_whereClauses_index2.filteredItemValues
                    })
                });
            },
            children: state.whereClauses[index] ? /*#__PURE__*/ (0, $a6CVW$jsx)((0, $ff09de3984f9fd78$export$de69795869716f53), {
                id: `whereclauseitem-${index}`,
                item: state.whereClauses[index].item
            }) : /*#__PURE__*/ (0, $a6CVW$jsx)("div", {
                id: `whereclauseitem-${index}`,
                className: "item-holder"
            })
        })
    });
};


const $17e3f9d3b4f900aa$export$45934bc448f597d1 = ({ index: index , canEdit: canEdit  })=>{
    var _state_whereClauses_index, _state_whereClauses_index1, _state_whereClauses_index_filteredItemValues;
    const { state: state , dispatch: dispatch  } = (0, $a6CVW$useContext)((0, $9663cd61179ffdb8$export$a0a39e2218613bf9));
    if (!state.whereClauses[index]) return /*#__PURE__*/ (0, $a6CVW$jsx)((0, $a6CVW$Fragment), {});
    var _state_whereClauses_index_whereOperation, _state_whereClauses_index_filteredItemValues_map;
    return /*#__PURE__*/ (0, $a6CVW$jsxs)("div", {
        className: "whereclause-main",
        style: {
            display: "flex",
            flexDirection: "row"
        },
        children: [
            /*#__PURE__*/ (0, $a6CVW$jsx)("div", {
                className: "whereclause-remove-holder",
                style: {
                    display: "flex",
                    flexDirection: "column",
                    justifyContent: "center"
                },
                children: /*#__PURE__*/ (0, $a6CVW$jsxs)("svg", {
                    xmlns: "http://www.w3.org/2000/svg",
                    width: "16",
                    height: "16",
                    fill: "currentColor",
                    className: "bi bi-dash-circle",
                    viewBox: "0 0 16 16",
                    color: "red",
                    onClick: canEdit ? ()=>dispatch({
                            type: (0, $cf8df9a502b5415d$export$d21ab455e9f38f6e),
                            whereClause: state.whereClauses[index]
                        }) : undefined,
                    children: [
                        /*#__PURE__*/ (0, $a6CVW$jsx)("path", {
                            d: "M8 15A7 7 0 1 1 8 1a7 7 0 0 1 0 14zm0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16z"
                        }),
                        /*#__PURE__*/ (0, $a6CVW$jsx)("path", {
                            d: "M4 8a.5.5 0 0 1 .5-.5h7a.5.5 0 0 1 0 1h-7A.5.5 0 0 1 4 8z"
                        })
                    ]
                })
            }),
            /*#__PURE__*/ (0, $a6CVW$jsx)((0, $c8cbc5de30e57687$export$a957d45f359dcc), {
                index: index
            }),
            /*#__PURE__*/ (0, $a6CVW$jsx)((0, $1fff8c265ece1ad5$export$11cd368ed7b68aa7), {
                selected: (_state_whereClauses_index_whereOperation = (_state_whereClauses_index = state.whereClauses[index]) === null || _state_whereClauses_index === void 0 ? void 0 : _state_whereClauses_index.whereOperation) !== null && _state_whereClauses_index_whereOperation !== void 0 ? _state_whereClauses_index_whereOperation : "",
                setSelected: canEdit ? (ret)=>{
                    var _state_whereClauses_index, _state_whereClauses_index1, _state_whereClauses_index2;
                    dispatch({
                        type: (0, $cf8df9a502b5415d$export$4eb8423d9590796c),
                        whereClause: new (0, $ce544d8b77d2edfc$export$5471ddcbd29402fc)({
                            WID: (_state_whereClauses_index = state.whereClauses[index]) === null || _state_whereClauses_index === void 0 ? void 0 : _state_whereClauses_index.WID,
                            item: (_state_whereClauses_index1 = state.whereClauses[index]) === null || _state_whereClauses_index1 === void 0 ? void 0 : _state_whereClauses_index1.item,
                            whereOperation: ret !== null && ret !== void 0 ? ret : null,
                            filteredItemValues: (_state_whereClauses_index2 = state.whereClauses[index]) === null || _state_whereClauses_index2 === void 0 ? void 0 : _state_whereClauses_index2.filteredItemValues
                        })
                    });
                } : undefined
            }),
            /*#__PURE__*/ (0, $a6CVW$jsx)("div", {
                className: "whereclause-values",
                children: (_state_whereClauses_index_filteredItemValues_map = (_state_whereClauses_index1 = state.whereClauses[index]) === null || _state_whereClauses_index1 === void 0 ? void 0 : (_state_whereClauses_index_filteredItemValues = _state_whereClauses_index1.filteredItemValues) === null || _state_whereClauses_index_filteredItemValues === void 0 ? void 0 : _state_whereClauses_index_filteredItemValues.map((v, i)=>/*#__PURE__*/ (0, $a6CVW$jsx)("div", {
                        children: v instanceof Date ? new Date(v.getTime() - v.getTimezoneOffset() * 60000).toISOString().replace(/T/, " ").slice(0, 16) : v
                    }, i))) !== null && _state_whereClauses_index_filteredItemValues_map !== void 0 ? _state_whereClauses_index_filteredItemValues_map : "No values set"
            })
        ]
    });
};



const $537bf648d14d2ea3$export$ff96b50e24156646 = ({ editable: editable = true  })=>{
    const { state: state , dispatch: dispatch  } = (0, $a6CVW$useContext)((0, $9663cd61179ffdb8$export$a0a39e2218613bf9));
    const [showWindow, setShowWindow] = (0, $a6CVW$useState)(false);
    return /*#__PURE__*/ (0, $a6CVW$jsx)("div", {
        className: "stwhere-main",
        style: {
            height: "24px"
        },
        children: /*#__PURE__*/ (0, $a6CVW$jsxs)("div", {
            className: "",
            children: [
                state.whereClauses.length,
                " filter",
                state.whereClauses.length === 1 ? "" : "s",
                " applied",
                /*#__PURE__*/ (0, $a6CVW$jsx)("span", {
                    className: "stwhere-edit-button",
                    title: "Edit filters",
                    style: {
                        cursor: "pointer"
                    },
                    onClick: ()=>setShowWindow(true),
                    children: "…"
                }),
                /*#__PURE__*/ (0, $a6CVW$jsx)((0, $a6CVW$ContextWindow), {
                    visible: showWindow,
                    id: "stwhere-window",
                    title: "Where clauses",
                    onClose: ()=>setShowWindow(false),
                    style: {
                        width: "500px"
                    },
                    children: /*#__PURE__*/ (0, $a6CVW$jsxs)("div", {
                        className: "stwhere-main",
                        children: [
                            state.whereClauses.map((_, i)=>/*#__PURE__*/ (0, $a6CVW$jsx)((0, $17e3f9d3b4f900aa$export$45934bc448f597d1), {
                                    index: i,
                                    canEdit: true
                                }, i)),
                            editable && /*#__PURE__*/ (0, $a6CVW$jsxs)("div", {
                                className: "stwhere-add-where-clause",
                                onClick: ()=>{
                                    if (!state.whereClauses.some((w)=>!w.isValid)) dispatch({
                                        type: (0, $cf8df9a502b5415d$export$4eb8423d9590796c),
                                        whereClause: new (0, $ce544d8b77d2edfc$export$5471ddcbd29402fc)()
                                    });
                                },
                                children: [
                                    /*#__PURE__*/ (0, $a6CVW$jsxs)("svg", {
                                        xmlns: "http://www.w3.org/2000/svg",
                                        width: "16",
                                        height: "16",
                                        fill: "currentColor",
                                        className: "bi bi-plus-circle",
                                        viewBox: "0 0 16 16",
                                        children: [
                                            /*#__PURE__*/ (0, $a6CVW$jsx)("path", {
                                                d: "M8 15A7 7 0 1 1 8 1a7 7 0 0 1 0 14zm0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16z"
                                            }),
                                            /*#__PURE__*/ (0, $a6CVW$jsx)("path", {
                                                d: "M8 4a.5.5 0 0 1 .5.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3A.5.5 0 0 1 8 4z"
                                            })
                                        ]
                                    }),
                                    " ",
                                    "Add where clause"
                                ]
                            })
                        ]
                    })
                })
            ]
        })
    });
};















const $4a0d214fe9afa305$export$8223a8de810b6079 = ({ id: id , onDropTop: onDropTop , onDropLeft: onDropLeft , onDropBottom: onDropBottom , onDropRight: onDropRight , children: children  })=>{
    return /*#__PURE__*/ (0, $a6CVW$jsxs)((0, $a6CVW$Fragment), {
        children: [
            onDropTop && /*#__PURE__*/ (0, $a6CVW$jsx)((0, $d947bb745b166918$export$79660a248b11010), {
                id: `${id}-drop-top`,
                type: "top",
                dropAction: onDropTop
            }),
            onDropLeft && /*#__PURE__*/ (0, $a6CVW$jsx)((0, $d947bb745b166918$export$79660a248b11010), {
                id: `${id}-drop-left`,
                type: "left",
                dropAction: onDropLeft
            }),
            " ",
            onDropBottom && /*#__PURE__*/ (0, $a6CVW$jsx)((0, $d947bb745b166918$export$79660a248b11010), {
                id: `${id}-drop-bottom`,
                type: "bottom",
                dropAction: onDropBottom
            }),
            onDropRight && /*#__PURE__*/ (0, $a6CVW$jsx)((0, $d947bb745b166918$export$79660a248b11010), {
                id: `${id}-drop-right`,
                type: "right",
                dropAction: onDropRight
            }),
            children
        ]
    });
};






const $ee3f01074afcf636$export$69d1b0f1fb6d6c3c = ({ id: id , statistic: statistic  })=>{
    const [isBeingDragged, setIsBeingDragged] = (0, $a6CVW$useState)(false);
    const handleDragStart = (e)=>{
        console.log("Drag start for " + statistic);
        setIsBeingDragged(true);
        e.dataTransfer.setData("application/json", JSON.stringify({
            type: "statistic",
            data: statistic
        }));
    };
    const handleDragEnd = (e)=>{
        console.log(e);
        console.log("Drag end for " + statistic);
        setIsBeingDragged(false);
    };
    return /*#__PURE__*/ (0, $a6CVW$jsx)("div", {
        id: id,
        className: `statistic-holder ${isBeingDragged ? "being-dragged" : ""}`,
        draggable: true,
        onDragStart: handleDragStart,
        onDragEnd: handleDragEnd,
        children: statistic
    });
};



const $68cbc0b1c207d0e1$export$85f64913aa0376d6 = ({ id: id , index: index  })=>{
    const { state: state , dispatch: dispatch  } = (0, $a6CVW$useContext)((0, $9663cd61179ffdb8$export$a0a39e2218613bf9));
    const item = (0, $a6CVW$useMemo)(()=>state.columns[index], [
        index,
        state.columns
    ]);
    return /*#__PURE__*/ (0, $a6CVW$jsx)("th", {
        style: {
            position: "relative"
        },
        children: /*#__PURE__*/ (0, $a6CVW$jsx)((0, $a6CVW$ContextMenuHandler), {
            menuItems: [
                {
                    label: "Remove",
                    action: ()=>dispatch({
                            type: (0, $cf8df9a502b5415d$export$4b9128eac4c06cf4),
                            item: item
                        })
                }
            ],
            style: {
                width: "100%",
                height: "100%"
            },
            children: /*#__PURE__*/ (0, $a6CVW$jsx)((0, $4a0d214fe9afa305$export$8223a8de810b6079), {
                id: id,
                onDropRight: (ret)=>{
                    if (ret.data instanceof (0, $740765d8a652bda3$export$626c488e6c24a1e8)) dispatch({
                        type: (0, $cf8df9a502b5415d$export$330817789cf72932),
                        position: index + 1,
                        item: ret.data
                    });
                },
                children: /*#__PURE__*/ (0, $a6CVW$jsxs)((0, $a6CVW$Fragment), {
                    children: [
                        /*#__PURE__*/ (0, $a6CVW$jsx)((0, $ff09de3984f9fd78$export$de69795869716f53), {
                            id: `${id}-column-header-${index}`,
                            item: item
                        }),
                        state.statisticPosition === "column" && /*#__PURE__*/ (0, $a6CVW$jsx)("div", {
                            style: {
                                display: "flex",
                                flexDirection: "row"
                            },
                            children: state.statistics.map((s, i)=>/*#__PURE__*/ (0, $a6CVW$jsx)((0, $ee3f01074afcf636$export$69d1b0f1fb6d6c3c), {
                                    id: `${id}-statistic-${i}`,
                                    statistic: s
                                }, i))
                        })
                    ]
                })
            })
        })
    }, item.name);
};














const $c595d4c3541ccb5b$export$d89398cb9fcd80d3 = ({ rowIndex: index  })=>{
    const { state: state  } = (0, $a6CVW$useContext)((0, $9663cd61179ffdb8$export$a0a39e2218613bf9));
    var _item_OID;
    return /*#__PURE__*/ (0, $a6CVW$jsx)((0, $a6CVW$Fragment), {
        children: state.columns.map((item, ci)=>/*#__PURE__*/ (0, $a6CVW$jsx)("td", {
                children: /*#__PURE__*/ (0, $a6CVW$jsxs)("div", {
                    className: "data-cell",
                    style: {
                        textAlign: "center"
                    },
                    children: [
                        state.rows[index].label,
                        /*#__PURE__*/ (0, $a6CVW$jsx)("br", {}),
                        "x",
                        /*#__PURE__*/ (0, $a6CVW$jsx)("br", {}),
                        item.label
                    ]
                })
            }, (_item_OID = item.OID) !== null && _item_OID !== void 0 ? _item_OID : ci))
    });
};



const $054da20520a8403f$export$970f9fff6f256d9c = ({ id: id , index: index  })=>{
    const { state: state , dispatch: dispatch  } = (0, $a6CVW$useContext)((0, $9663cd61179ffdb8$export$a0a39e2218613bf9));
    const item = (0, $a6CVW$useMemo)(()=>state.rows[index], [
        state.rows,
        index
    ]);
    return /*#__PURE__*/ (0, $a6CVW$jsxs)("tr", {
        children: [
            /*#__PURE__*/ (0, $a6CVW$jsx)("td", {
                style: {
                    position: "relative"
                },
                children: /*#__PURE__*/ (0, $a6CVW$jsx)((0, $a6CVW$ContextMenuHandler), {
                    menuItems: [
                        {
                            label: "Remove",
                            action: ()=>dispatch({
                                    type: (0, $cf8df9a502b5415d$export$c6aa430819669f63),
                                    item: item
                                })
                        }
                    ],
                    children: /*#__PURE__*/ (0, $a6CVW$jsx)((0, $4a0d214fe9afa305$export$8223a8de810b6079), {
                        id: `${id}`,
                        onDropBottom: (ret)=>{
                            if (ret.data instanceof (0, $740765d8a652bda3$export$626c488e6c24a1e8)) dispatch({
                                type: (0, $cf8df9a502b5415d$export$c287896b040d08eb),
                                position: index + 1,
                                item: ret.data
                            });
                        },
                        children: /*#__PURE__*/ (0, $a6CVW$jsx)((0, $ff09de3984f9fd78$export$de69795869716f53), {
                            id: `${id}-column-header-${index}`,
                            item: item
                        })
                    })
                })
            }),
            /*#__PURE__*/ (0, $a6CVW$jsx)((0, $c595d4c3541ccb5b$export$d89398cb9fcd80d3), {
                rowIndex: index
            })
        ]
    }, item.name);
};









const $dd60510abec53bdb$export$8b93e255184bda71 = ({ id: id  })=>{
    const { dispatch: dispatch  } = (0, $a6CVW$useContext)((0, $9663cd61179ffdb8$export$a0a39e2218613bf9));
    return /*#__PURE__*/ (0, $a6CVW$jsx)("th", {
        style: {
            position: "relative"
        },
        children: /*#__PURE__*/ (0, $a6CVW$jsx)((0, $4a0d214fe9afa305$export$8223a8de810b6079), {
            id: `${id}-drop-edges`,
            onDropBottom: (ret)=>{
                if (ret.data instanceof (0, $740765d8a652bda3$export$626c488e6c24a1e8)) dispatch({
                    type: (0, $cf8df9a502b5415d$export$c287896b040d08eb),
                    position: 0,
                    item: ret.data
                });
            },
            onDropRight: (ret)=>{
                if (ret.data instanceof (0, $740765d8a652bda3$export$626c488e6c24a1e8)) dispatch({
                    type: (0, $cf8df9a502b5415d$export$330817789cf72932),
                    position: 0,
                    item: ret.data
                });
            },
            children: /*#__PURE__*/ (0, $a6CVW$jsx)("div", {
                className: "tl-cell-holder"
            })
        })
    });
};


const $4b80f113d22f65a1$export$4f0abbd4b5b22d8a = ({ id: id  })=>{
    const { state: state  } = (0, $a6CVW$useContext)((0, $9663cd61179ffdb8$export$a0a39e2218613bf9));
    return /*#__PURE__*/ (0, $a6CVW$jsx)("div", {
        className: "drop-table-holder",
        children: /*#__PURE__*/ (0, $a6CVW$jsxs)("table", {
            id: id,
            className: "drop-table",
            children: [
                /*#__PURE__*/ (0, $a6CVW$jsx)("thead", {
                    children: /*#__PURE__*/ (0, $a6CVW$jsxs)("tr", {
                        children: [
                            /*#__PURE__*/ (0, $a6CVW$jsx)((0, $dd60510abec53bdb$export$8b93e255184bda71), {
                                id: `${id}-tl-cell`
                            }),
                            state.columns.map((v, i)=>/*#__PURE__*/ (0, $a6CVW$jsx)((0, $68cbc0b1c207d0e1$export$85f64913aa0376d6), {
                                    id: `${id}-header-variable-${i}`,
                                    index: i
                                }, `${i}:${v.OID}`))
                        ]
                    })
                }),
                /*#__PURE__*/ (0, $a6CVW$jsx)("tbody", {
                    children: state.rows.map((v, i)=>/*#__PURE__*/ (0, $a6CVW$jsx)((0, $054da20520a8403f$export$970f9fff6f256d9c), {
                            id: `${id}-row-variable-${i}`,
                            index: i
                        }, `${i}:${v.OID}`))
                })
            ]
        })
    });
};







const $475b255fdd778623$export$168eb813a5fc3f58 = ({ id: id  })=>{
    const { state: state , itemList: itemList  } = (0, $a6CVW$useContext)((0, $9663cd61179ffdb8$export$a0a39e2218613bf9));
    var _variable_OID;
    return /*#__PURE__*/ (0, $a6CVW$jsx)("div", {
        className: "item-list simpletable-main small-scrollbar",
        id: id,
        children: /*#__PURE__*/ (0, $a6CVW$jsx)("div", {
            className: "simpletable-holder",
            children: itemList.filter((v)=>{
                var _state_target;
                return !state.columns.map((c)=>c.name).includes(v.name) && !state.rows.map((r)=>r.name).includes(v.name) && ((_state_target = state.target) === null || _state_target === void 0 ? void 0 : _state_target.name) !== v.name;
            }).map((variable, index)=>/*#__PURE__*/ (0, $a6CVW$jsx)((0, $ff09de3984f9fd78$export$de69795869716f53), {
                    id: `${id}-${variable.name}`,
                    item: variable
                }, (_variable_OID = variable.OID) !== null && _variable_OID !== void 0 ? _variable_OID : index))
        })
    });
};


const $b6c066d6296d23e9$export$8bd6da0e23c354ec = ({ dataset: dataset  })=>{
    return /*#__PURE__*/ (0, $a6CVW$jsx)((0, $a6CVW$ContextWindowStack), {
        children: /*#__PURE__*/ (0, $a6CVW$jsx)((0, $9663cd61179ffdb8$export$ef640431176d1d1d), {
            dataset: dataset,
            children: /*#__PURE__*/ (0, $a6CVW$jsxs)("div", {
                className: "summarytablegenerator",
                children: [
                    /*#__PURE__*/ (0, $a6CVW$jsx)("div", {
                        className: "simpletable-title-holder",
                        children: /*#__PURE__*/ (0, $a6CVW$jsxs)("h5", {
                            className: "simpletable-title",
                            children: [
                                "Summary table for: ",
                                dataset.name
                            ]
                        })
                    }),
                    /*#__PURE__*/ (0, $a6CVW$jsxs)("div", {
                        className: "summarytable-main-holder",
                        style: {
                            display: "flex",
                            flexDirection: "row",
                            height: "calc(100% - 46px)"
                        },
                        children: [
                            /*#__PURE__*/ (0, $a6CVW$jsx)("div", {
                                className: "summarytable-lhs",
                                style: {
                                    width: "190px",
                                    height: "100%"
                                },
                                children: /*#__PURE__*/ (0, $a6CVW$jsx)((0, $475b255fdd778623$export$168eb813a5fc3f58), {
                                    id: "summarytable-items"
                                })
                            }),
                            /*#__PURE__*/ (0, $a6CVW$jsxs)("div", {
                                className: "summarytable-rhs",
                                style: {
                                    width: "calc(100% - 190px)",
                                    height: "100%",
                                    display: "flex",
                                    flexDirection: "column"
                                },
                                children: [
                                    /*#__PURE__*/ (0, $a6CVW$jsx)((0, $537bf648d14d2ea3$export$ff96b50e24156646), {}),
                                    /*#__PURE__*/ (0, $a6CVW$jsx)((0, $4b80f113d22f65a1$export$4f0abbd4b5b22d8a), {
                                        id: "summarytable"
                                    })
                                ]
                            })
                        ]
                    })
                ]
            })
        })
    });
};




export {$b6c066d6296d23e9$export$8bd6da0e23c354ec as SummaryTableGenerator, $04e2de8ab1d842a9$export$a343c64541036632 as DatasetJson, $740765d8a652bda3$export$626c488e6c24a1e8 as DatasetJsonItemClass};
//# sourceMappingURL=main.js.map
